#include "guiButton.h"

guiButton::guiButton()
{
    hitBox = ofRectangle(0,0,10,10);
    bOn = false;
}

guiButton::~guiButton()
{
    //dtor
}

void guiButton::setup(int x, int y, int w, int h, bool bOn_)
{
    hitBox = ofRectangle(x,y,w,h);
    bOn = bOn_;
}

bool guiButton::update(int x, int y)
{
    if( pointInRectangle( hitBox,x,y) )
    {
        bOn = !bOn;
        return true;
    }

    return false;


}

void guiButton::draw()
{

    //if( bOn ) ofFill();
   // else ofNoFill();

    ofRect( hitBox.x,hitBox.y,hitBox.width, hitBox.height);
}
